play.db.jpa

## Class JPA.JPAContext

- java.lang.Object
- - play.db.jpa.JPA.JPAContext

Enclosing class:
  JPA

    public static class JPA.JPAContext
    extends java.lang.Object

### Field Summary

Fields
`boolean` `autoCommit`
`java.lang.String` `dbName`
`javax.persistence.EntityManager` `entityManager`
`boolean` `readonly`

### Constructor Summary

Constructors
Constructor and Description
`JPAContext()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dbName

    public java.lang.String dbName

#### entityManager

    public javax.persistence.EntityManager entityManager

#### readonly

    public boolean readonly

#### autoCommit

    public boolean autoCommit

### Constructor Detail

#### JPAContext

    public JPAContext()